Bug 539480 - Review Request: perl-HTTP-Daemon-SSL - Simple http server class with SSL support
Review Request: perl-HTTP-Daemon-SSL - Simple http server class with SSL support
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gerd Pokorra
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-20 05:11 EST by Steve Traylen
Modified: 2009-12-21 23:54 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.04-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-21 14:29:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
gp: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steve Traylen 2009-11-20 05:11:38 EST
Spec URL: http://cern.ch/straylen/rpms/perl-HTTP-Daemon-SSL/perl-HTTP-Daemon-SSL.spec
SRPM URL: http://cern.ch/straylen/rpms/perl-HTTP-Daemon-SSL/perl-HTTP-Daemon-SSL-1.04-1.fc13.src.rpm
Description: 
Instances of the HTTP::Daemon::SSL class are HTTP/1.1 servers that listen
on a socket for incoming requests. The HTTP::Daemon::SSL is a sub-class of
IO::Socket::SSL, so you can perform socket operations directly on it too.


$ rpmlint SPECS/perl-HTTP-Daemon-SSL.spec \
          RPMS/noarch/perl-HTTP-Daemon-SSL-1.04-1.fc13.noarch.rpm \
          SRPMS/perl-HTTP-Daemon-SSL-1.04-1.fc13.src.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

http://koji.fedoraproject.org/koji/taskinfo?taskID=1819132

Hopefully an easy review.

Steve
Comment 1 Gerd Pokorra 2009-11-30 05:24:39 EST
It looks good for me.
I only would change "%{_mandir}/man3/*" to "%{_mandir}/man3/HTTP::Daemon::SSL.3pm.gz" because it is only one file.

Gerd
Comment 3 Steve Traylen 2009-11-30 07:05:04 EST
Thanks for the review.


New Package CVS Request
=======================
Package Name: perl-HTTP-Daemon-SSL
Short Description: Simple http server class with SSL support 
Owners: stevetraylen
Branches: F-11 F-12 EL-5 EL-4
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2009-12-03 01:34:57 EST
cvs done.
Comment 5 Fedora Update System 2009-12-03 04:36:23 EST
perl-HTTP-Daemon-SSL-1.04-2.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/perl-HTTP-Daemon-SSL-1.04-2.el4
Comment 6 Fedora Update System 2009-12-03 04:36:49 EST
perl-HTTP-Daemon-SSL-1.04-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-HTTP-Daemon-SSL-1.04-2.el5
Comment 7 Fedora Update System 2009-12-03 04:37:18 EST
perl-HTTP-Daemon-SSL-1.04-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-HTTP-Daemon-SSL-1.04-2.fc11
Comment 8 Fedora Update System 2009-12-03 04:37:45 EST
perl-HTTP-Daemon-SSL-1.04-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-HTTP-Daemon-SSL-1.04-2.fc12
Comment 9 Fedora Update System 2009-12-04 18:36:31 EST
perl-HTTP-Daemon-SSL-1.04-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTTP-Daemon-SSL'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-12607
Comment 10 Fedora Update System 2009-12-04 18:57:29 EST
perl-HTTP-Daemon-SSL-1.04-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTTP-Daemon-SSL'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12692
Comment 11 Fedora Update System 2009-12-07 01:28:16 EST
perl-HTTP-Daemon-SSL-1.04-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTTP-Daemon-SSL'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0952
Comment 12 Fedora Update System 2009-12-07 01:29:14 EST
perl-HTTP-Daemon-SSL-1.04-2.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-HTTP-Daemon-SSL'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0966
Comment 13 Fedora Update System 2009-12-21 14:29:12 EST
perl-HTTP-Daemon-SSL-1.04-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-12-21 14:29:22 EST
perl-HTTP-Daemon-SSL-1.04-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2009-12-21 23:41:40 EST
perl-HTTP-Daemon-SSL-1.04-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2009-12-21 23:54:42 EST
perl-HTTP-Daemon-SSL-1.04-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.